FSManifestIterable
Date: 2014-12-13

org.apache.ivy.osgi.repo

## Class FSManifestIterable

- java.lang.Object
- - org.apache.ivy.osgi.repo.AbstractFSManifestIterable<java.io.File>
  - - org.apache.ivy.osgi.repo.FSManifestIterable

- All Implemented Interfaces:
    java.lang.Iterable<ManifestAndLocation>

      public class FSManifestIterable
      extends AbstractFSManifestIterable<java.io.File>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.io.FilenameFilter` | `DEFAULT_BUNLDE_FILTER` Default bundle filter that select only .jar files
    `static java.io.FilenameFilter` | `DEFAULT_DIR_FILTER` Default directory filter that doesn't select .svn directories, neither the directories that match `NON_BUNDLE_DIRS`.
    `static java.util.Set<java.lang.String>` | `NON_BUNDLE_DIRS` List of directory name that usually contains jars but are not bundles

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSManifestIterable(java.io.File root)` Default constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.net.URI` | `buildBundleURI(java.io.File location)`
    `java.io.FilenameFilter` | `getBundleFilter()`
    `java.io.FilenameFilter` | `getDirFilter()`
    `protected java.io.InputStream` | `getInputStream(java.io.File f)`
    `protected java.util.List<java.io.File>` | `listBundleFiles(java.io.File dir)`
    `protected java.util.List<java.io.File>` | `listDirs(java.io.File dir)`
    `void` | `setBundleFilter(java.io.FilenameFilter bundleFilter)`
    `void` | `setDirFilter(java.io.FilenameFilter dirFilter)`

    - ### Methods inherited from class org.apache.ivy.osgi.repo.AbstractFSManifestIterable

      `iterator`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NON_BUNDLE_DIRS

          public static final java.util.Set<java.lang.String> NON_BUNDLE_DIRS

      List of directory name that usually contains jars but are not bundles

    - #### DEFAULT_DIR_FILTER

          public static final java.io.FilenameFilter DEFAULT_DIR_FILTER

      Default directory filter that doesn't select .svn directories, neither the directories that match `NON_BUNDLE_DIRS`.

    - #### DEFAULT_BUNLDE_FILTER

          public static final java.io.FilenameFilter DEFAULT_BUNLDE_FILTER

      Default bundle filter that select only .jar files

  - ### Constructor Detail

    - #### FSManifestIterable

          public FSManifestIterable(java.io.File root)

      Default constructor
      Parameters:
        `root` - the root directory of the file system to lookup

  - ### Method Detail

    - #### getDirFilter

          public java.io.FilenameFilter getDirFilter()

    - #### setDirFilter

          public void setDirFilter(java.io.FilenameFilter dirFilter)

    - #### getBundleFilter

          public java.io.FilenameFilter getBundleFilter()

    - #### setBundleFilter

          public void setBundleFilter(java.io.FilenameFilter bundleFilter)

    - #### buildBundleURI

          protected java.net.URI buildBundleURI(java.io.File location)

      Specified by:
        `buildBundleURI` in class `AbstractFSManifestIterable<java.io.File>`

    - #### getInputStream

          protected java.io.InputStream getInputStream(java.io.File f)
                                                throws java.io.FileNotFoundException

      Specified by:
        `getInputStream` in class `AbstractFSManifestIterable<java.io.File>`
      Throws:
        `java.io.FileNotFoundException`

    - #### listBundleFiles

          protected java.util.List<java.io.File> listBundleFiles(java.io.File dir)

      Specified by:
        `listBundleFiles` in class `AbstractFSManifestIterable<java.io.File>`

    - #### listDirs

          protected java.util.List<java.io.File> listDirs(java.io.File dir)

      Specified by:
        `listDirs` in class `AbstractFSManifestIterable<java.io.File>`